formation_formation_index:
    path:     /
    defaults:
      _controller: FormationBundle:Default:index
      filtre_active: true

formation_formation_index_desactive:
    path:     /index_desactives
    defaults:
      _controller: FormationBundle:Default:index
      filtre_active: false

formation_formation_show:
    path:     /infos/{id}
    defaults: { _controller: FormationBundle:Default:infos }

formation_formation_edit:
    path:     /edit/{id}
    defaults: { _controller: FormationBundle:Default:edit }

formation_formation_create:
    path:     /create
    defaults: { _controller: FormationBundle:Default:create }

formation_formation_active:
    path:     /active/{id}
    defaults: { _controller: FormationBundle:Default:activeFormation }

#sous-CRUD pour autres entités (élèves et profs sont dans UserBundle)

formation_autres_eleves_index:
    path:     /{id}/autres_eleves
    defaults: { _controller: FormationBundle:Default:getElevesNotInFormation }
    methods:  [GET, POST]

formation_formation_add_eleves:
    path:     /{id}/add_eleves
    defaults: { _controller: FormationBundle:Default:addEleves }
    methods:  [GET, POST]

formation_formation_remove_eleves:
    path:     /{id}/remove_eleves
    defaults: { _controller: FormationBundle:Default:removeEleves }
    methods:  [GET, POST]

formation_autres_profs_index:
    path:     /{id}/autres_profs
    defaults: { _controller: FormationBundle:Default:getprofsNotInFormation }
    methods:  [GET, POST]

formation_formation_add_profs:
    path:     /{id}/add_profs
    defaults: { _controller: FormationBundle:Default:addprofs }
    methods:  [GET, POST]

formation_formation_remove_profs:
    path:     /{id}/remove_profs
    defaults: { _controller: FormationBundle:Default:removeprofs }
    methods:  [GET, POST]

formation_autres_modules_index:
    path:     /{id}/autres_modules
    defaults: { _controller: FormationBundle:Default:getmodulesNotInFormation }
    methods:  [GET, POST]

formation_formation_add_modules:
    path:     /{id}/add_modules
    defaults: { _controller: FormationBundle:Default:addmodules }
    methods:  [GET, POST]

formation_formation_remove_modules:
    path:     /{id}/remove_modules
    defaults: { _controller: FormationBundle:Default:removemodules }
    methods:  [GET, POST]

formation_formation_update_order_module:
    path:     /update_order_module/{id}
    defaults: { _controller: FormationBundle:Default:updateordermodule }
    methods:  [GET, POST]


formation_niveau:
    resource: "@FormationBundle/Resources/config/routing/niveau.yml"
    prefix:   /niveau

formation_typeformation:
    resource: "@FormationBundle/Resources/config/routing/typeformation.yml"
    prefix:   /typeformation

formation_compterendu:
    resource: "@FormationBundle/Resources/config/routing/compterendu.yml"
    prefix:   /compterendu

formation_formationeleve:
    resource: "@FormationBundle/Resources/config/routing/formationeleve.yml"
    prefix:   /formationeleve

formation_compterenduformation:
    resource: "@FormationBundle/Resources/config/routing/compterenduformation.yml"
    prefix:   /compterenduformation

#connexion eleve TODO: supprimer si plus d'actualité
formation_formation_eleve_liste_registered:
    path:     /eleve_registered
    defaults: { _controller: FormationBundle:Default:registered }

formation_formation_pdf:
    path:     /pdf/{id}
    defaults: { _controller: FormationBundle:Default:pdf }
    methods:  [GET, POST]

formation_mes_formations_eleve:
    path:     /mes-formations
    defaults: { _controller: FormationBundle:Default:mesFormationsEleve }
    methods:  [GET, POST]

formation_ma_formations_eleve:
    path:     /mes-formations/{id}
    defaults: { _controller: FormationBundle:Default:maFormationEleve }
    methods:  [GET, POST]

formation_formation_export:
    path:     /export/{id}
    defaults: { _controller: FormationBundle:Default:export }
    methods:  [GET, POST]

formation_formation_statlecon:
    path:     /statlecon/{formation}/{module}/{lecon}
    defaults: { _controller: FormationBundle:Default:statlecon }
    methods:  [GET, POST]

formation_formation_stat:
    path:     /stat/{formation}
    defaults: { _controller: FormationBundle:Default:statformation }
    methods:  [GET, POST]

formation_formation_exportbilan:
    path:     /exportbilan
    defaults: { _controller: FormationBundle:Default:exportbilan }
    methods:  [GET, POST]